Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.fieldvalue
Class BuildDefinitionConverter

    java.lang.Object
      com.atlassian.bamboo.fieldvalue.BuildDefinitionConverter

All Implemented Interfaces:
  FieldValueObjectConverter

    public class BuildDefinitionConverter

extends Object
implements FieldValueObjectConverter

Field Summary
`static String` | `BUILD_POLLING`
`static String` | `BUILD_TRIGGER_IP`
`static String` | `DEPENDENT_WILL_BE_TRIGGERED_BY`
`static String` | `DEPENDENT_WILL_TRIGGER`
`static String` | `EMAIL_ENABLED`
`static String` | `EMAIL_RECIPIENTS`
`static String` | `NOTIFICATION_STRATEGY`
`static String` | `SELECTED_BUILD_STRATEGY`
`static String` | `SELECTED_BUILDER_KEY`
`static String` | `SELECTED_BUILDER_LABEL`
`static String` | `SELECTED_REPOSITORY`
`static String` | `STATUS_EXPORT_ENABLED`
`static String` | `STATUS_EXPORT_STYLE`

Constructor Summary
`BuildDefinitionConverter()`

Method Summary
`HierarchicalConfiguration` | `fromObject(Object o)` Converts the object to a `FieldValueItemHolder` of `FieldValueItem`s
`Class` | `getClassToConvert()` Returns the class that this converter can convert
`void` | `setBuilderManager(BuilderManager builderManager)`
`void` | `setBuildStrategyManager(BuildStrategyManager buildStrategyManager)`
`void` | `setRepositoryManager(RepositoryManager repositoryManager)`
`Object` | `toObject(HierarchicalConfiguration config, Object object)` Converts a `FieldValueItemHolder` of `FieldValueItem` to an Object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SELECTED_REPOSITORY

    public static final String SELECTED_REPOSITORY

See Also:
  Constant Field Values

### SELECTED_BUILD_STRATEGY

    public static final String SELECTED_BUILD_STRATEGY

See Also:
  Constant Field Values

### BUILD_POLLING

    public static final String BUILD_POLLING

See Also:
  Constant Field Values

### BUILD_TRIGGER_IP

    public static final String BUILD_TRIGGER_IP

See Also:
  Constant Field Values

### SELECTED_BUILDER_LABEL

    public static final String SELECTED_BUILDER_LABEL

See Also:
  Constant Field Values

### SELECTED_BUILDER_KEY

    public static final String SELECTED_BUILDER_KEY

See Also:
  Constant Field Values

### NOTIFICATION_STRATEGY

    public static final String NOTIFICATION_STRATEGY

See Also:
  Constant Field Values

### EMAIL_ENABLED

    public static final String EMAIL_ENABLED

See Also:
  Constant Field Values

### EMAIL_RECIPIENTS

    public static final String EMAIL_RECIPIENTS

See Also:
  Constant Field Values

### STATUS_EXPORT_ENABLED

    public static final String STATUS_EXPORT_ENABLED

See Also:
  Constant Field Values

### STATUS_EXPORT_STYLE

    public static final String STATUS_EXPORT_STYLE

See Also:
  Constant Field Values

### DEPENDENT_WILL_TRIGGER

    public static final String DEPENDENT_WILL_TRIGGER

See Also:
  Constant Field Values

### DEPENDENT_WILL_BE_TRIGGERED_BY

    public static final String DEPENDENT_WILL_BE_TRIGGERED_BY

See Also:
  Constant Field Values

Constructor Detail

### BuildDefinitionConverter

    public BuildDefinitionConverter()

Method Detail

### getClassToConvert

    public Class getClassToConvert()

  Description copied from interface: `FieldValueObjectConverter`
  Returns the class that this converter can convert

  Specified by:
    `getClassToConvert` in interface `FieldValueObjectConverter`
  Returns:
    must not be null

### fromObject

    public HierarchicalConfiguration fromObject(Object o)

  Description copied from interface: `FieldValueObjectConverter`
  Converts the object to a `FieldValueItemHolder` of `FieldValueItem`s

  Specified by:
    `fromObject` in interface `FieldValueObjectConverter`
  Parameters:
    `o` - must not be null
  Returns:
    `FieldValueItemHolder` of `FieldValueItem`. Never null

### toObject

    public Object toObject(HierarchicalConfiguration config,
                           Object object)

  Description copied from interface: `FieldValueObjectConverter`
  Converts a `FieldValueItemHolder` of `FieldValueItem` to an Object

  Specified by:
    `toObject` in interface `FieldValueObjectConverter`
    `object` - - object to convert. Must not be null @return the object, with any values in the passed in the list set

### setBuildStrategyManager

    public void setBuildStrategyManager(BuildStrategyManager buildStrategyManager)

### setRepositoryManager

    public void setRepositoryManager(RepositoryManager repositoryManager)

### setBuilderManager

    public void setBuilderManager(BuilderManager builderManager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.